import { DashboardService } from './dashboard.service';
export declare class DashboardController {
    private readonly dashboardService;
    constructor(dashboardService: DashboardService);
    getDashboard(recentLimit?: number, topDays?: number, topLimit?: number): Promise<{
        totalUserCount: number;
        totalVendorCount: number;
        totalShopCount: number;
        totalOfferCount: number;
        recentVendors: import("../../common/vendor/user.entity").User[];
        topRatedShops: any[];
    }>;
}
